Skip to content
looot docs
Esc
↑↓navigate↵open⌘Jpreview

Get balance

Returns the workspace balance. A new workspace starts at $0. While the balance is below the minimum top-up, topUpLink carries that minimum (minimumUsd), the dashboard usage page and a Stripe Checkout URL.

GET/v1/balance
Authorization
AuthorizationBearer token · headerrequired
Responses
200

Success

Try it
Server
Authorization
Request
curl -X GET "https://api.looot.ai/v1/balance" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "workspaceId": "00000000-0000-4000-8000-000000000000",
  "currency": "USD",
  "available": 94.63,
  "reserved": 0,
  "topUpLink": {
    "minimumUsd": 5,
    "suggestedUsd": 5,
    "checkoutUrl": null,
    "dashboardUrl": "https://looot.ai/usage?top_up=1",
    "message": "Your looot balance is $94.63. Add credits (at least $5) at: https://looot.ai/usage?top_up=1",
    "reason": "balance_sufficient"
  }
}